/*************************** (C) COPYRIGHT 2017 CXHY ****************************
 * 文件名  ：rfid_decode_yn.h
 * 描  述  ：粤能IC卡解码头文件
 * 版  本  ：V1.0
 * 作  者  ：XuZhongPing
 * 日  期  ：2017/03/06 
*********************************************************************************/
#ifndef __RFID_DECODE_YN_H
#define __RFID_DECODE_YN_H	

#include "stm32f10x.h"

void SecretKeyHEX2Bit(uint8_t outputBuf[], char *inputStr);
uint8_t CalculateCheckDigit(uint8_t cardNumBit[], uint8_t keyBit[]);
void IC_CardEncode_YN(uint32_t areaCode, uint32_t serialNum, uint8_t cardType);
uint8_t IC_CardDecode_YN(void);
#endif

/******************** (C) COPYRIGHT 2017 CXHY *****END OF FILE*******************/
